org.modeshape.connector.meta.jdbc

## Class AbstractMetadataRetriever

- java.lang.Object
- - org.modeshape.connector.meta.jdbc.AbstractMetadataRetriever

- Direct Known Subclasses:
    CatalogRetriever, ColumnRetriever, DatabaseRetriever, ForeignKeyRetriever, ProcedureRetriever, SchemaRetriever, TableRetriever

      public abstract class AbstractMetadataRetriever
      extends Object

  Base class for converting DB Metadata to connector documents.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JdbcMetadataConnector` | `connector`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMetadataRetriever(JdbcMetadataConnector connector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `canHandle(String id)`
    `protected static String` | `generateId(String prefix, String... segments)`
    `protected abstract Document` | `getDocumentById(String id, DocumentWriter writer, Connection connection)`
    `protected abstract String` | `idFrom(String path)`
    `protected List<String>` | `removeEmptyOrNullElements(List<String> list)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### connector

          protected JdbcMetadataConnector connector

  - ### Constructor Detail

    - #### AbstractMetadataRetriever

          protected AbstractMetadataRetriever(JdbcMetadataConnector connector)

  - ### Method Detail

    - #### generateId

          protected static String generateId(String prefix,
                          String... segments)

    - #### removeEmptyOrNullElements

          protected List<String> removeEmptyOrNullElements(List<String> list)

    - #### getDocumentById

          protected abstract Document getDocumentById(String id,
                                 DocumentWriter writer,
                                 Connection connection)

    - #### idFrom

          protected abstract String idFrom(String path)

    - #### canHandle

          protected abstract boolean canHandle(String id)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.